###################################################################################################
# Copyright 2013/2014 by Marcel Greter
# This file is part of OCBNET-CSS3 (GPL3)
####################################################################################################
package OCBNET::CSS3::Styles::WebSprite;
####################################################################################################
our $VERSION = '1.0.0';
####################################################################################################

use strict;
use warnings;

####################################################################################################

# load main package
use OCBNET::WebSprite;

####################################################################################################
# import regular expressions
####################################################################################################

use OCBNET::CSS3::Regex::Base qw($re_url $re_identifier);

####################################################################################################
# register longhand properties for border
####################################################################################################

# register longhand properties for border widths
#**************************************************************************************************
OCBNET::CSS3::Styles::register('sprite-image', $re_url, 'none');

####################################################################################################
# register shorthand properties for border
####################################################################################################

# register shorthand property for border-width
#**************************************************************************************************
OCBNET::CSS3::Styles::register('sprite',
{
	# needed in order
	'ordered' =>
	[
		# always needed
		[ 'css-id' ],
		[ 'sprite-image' ]
	],
	# needed for own shorthand
	# 'matcher' => $re_length
},
# default
'0');

####################################################################################################
####################################################################################################
1;
